on:
  push:
    branches:
      - '**'

jobs:
  get-version:
    runs-on: docker
    steps:
      - name: Checking Out Repository Code
        uses: https://code.forgejo.org/actions/checkout@v3
      - name: Check if Version in package.json matches Tag
        run: |
          VERSION=$(npm pkg get version --workspaces=false | tr -d \")
          echo "Version is: '$VERSION'"; 
  astro-check:
    runs-on: docker
    container: forgejo.neshweb.net/ci-docker-images/node-alpine-git:latest
    steps:
      - name: Checkout source code
        uses: https://code.forgejo.org/actions/checkout@v3
      - name: Install packages
        run: npm i
      - name: Run astro check (linting +  static analysis)
        run: npm run astro check
